/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.gui;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import org.cellmicrocosmos.cm2.gui.dialogs.HelpDialog;
import org.cellmicrocosmos.cm2.misc.Cm2_IconDepot;


/**
 * The button to show the help window. The given parent is analyzed,
 * if there exists a direct help link. Otherwise the regular first
 * page of the help will be shown.
 * 
 * @author Tim Dingersen dackelnose@gmx.net
 * 
 */

public class HelpBtn extends JButton {

	private static final long serialVersionUID = -300989520639122338L;
	
	final Dimension DIRECTHELPBUTTONSIZE = new Dimension(13, 13);

	public HelpBtn(final Object parent) {
		super();
		this.addActionListener(new ActionListener() {

			public void actionPerformed(final ActionEvent arg0) {

				new HelpDialog().popupHelp(parent);

			}
		});

		this.setPreferredSize(this.DIRECTHELPBUTTONSIZE);
		this.setToolTipText("Help");
		this.setIcon(Cm2_IconDepot.getSpecifiedIcon("Quickhelp"));
	}

}
