/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.interfaces;

import java.awt.Point;
import java.io.File;

/**
 * Listener that is used for the DatabaseView
 * 
 * @author Tim Dingersen dackelnose@gmx.net
 * 
 */
public interface DatabaseViewListener {

	void userAddsProtein(String code, String file, int modelnumber, int DomainID);

	void userAddsLipid(String code, String file, int modelnumber, int DomainID,
			int membraneside);

	void userWantToSeeProperties(File file, int type);

	void userOpensGlobalDBView();
	
	void userOpensGlobalDBView(String searchString, String searchTitle);

	void userClosesGlobalDBView();

	void addEntryToDB(File file);
	
	void addEntryToDB(File file, int group);

	void userWantToPreviewMolecule(File file, int model);

	void DnDEventOccured(Point loc);

	void DNDFinished(boolean canceled);

	void userWantToChangeModel(File file, int initialModel);

	String retrieveUserCommentFromDB(File file, int mode);

	void highlightMicroDomain(int domainID);

	boolean dbContainsCode(Object code);

	void openMoleculeEditorFromDB(File file, int mode);

}
