/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.io;

/**
 * 
 * The different compatibility settings for external PDB Viewers
 * shown in the PDB Property window. 
 * 
 * @author Tim Dingersen dackelnose@gmx.net, Bjoern Sommer bjoern@CELLmicrocosmos.org
 * 
 */
public abstract class Compatibility {

	public abstract String getApplicationName();

	public static final int ATOMSERIALS_BOTH = 0;

	public static final int ATOMSERIALS_PROTSONLY = 1;

	public static final int ATOMSERIALS_NONE = 2;

	public abstract Integer requiredAtomserials();

	public abstract Integer requiredChains();

	public abstract Boolean caseSensitiveChainIds();

	public abstract Boolean assignResSeqNumbers();

	public abstract Boolean atomserials_All99999();
	
	public abstract Boolean atomserials_RestartNumberingWith0();

	public abstract Boolean adoptTitleSections();
	
	public abstract Boolean sortByType();

	public static final int TRANSFORM_NONE = 0;

	public static final int TRANSFORM_PHYSICAL = 1;

	public static final int TRANSFORM_BOTTOM = 2;

	public abstract Boolean swapYZ();

	public abstract Integer shiftXZ();

	public abstract Integer shiftY();

	public abstract Boolean writeReverseParsingInfo();
	
	public abstract String remark();
	
}
