/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.io.ppe.transform.xml;

import java.io.File;
import java.io.InputStream;

import org.cellmicrocosmos.cm2.io.ppe.toolbox.ConfParser;


/**
 * The Interface XMLCustomizer provides some methods for transforming
 * a xml file into a program-internal reduced file format. All classes of the
 * transform.xml package should implement this interface.
 * 
 * @author Christian Gamroth
 * 
 */
public interface XMLCustomizer {

	/**
	 * Transforms a given xml file in a program-internal file format.
	 * 
	 * @param xmlFile The xml file to transform.
	 * @param key The key for identifying the source by the {@link ConfParser}.
	 */
	void customizeThisFile(File xmlFile, String key);

	/**
	 * Transforms a given xml file in a program-internal file format by using
	 * an InputStream.
	 * 
	 * @param is InputSTream to the xml file.
	 * @param key The key for identifying the source by the {@link ConfParser}.
	 */
	void customizeThisFile(InputStream is, String key);

}
