/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.membranepackingalgorithm;

import org.cellmicrocosmos.cm2.dataobjects.Lipid_3D;

/**
 * This is an extension of the molecule class and is used either for
 * representing a lipid in the membrane or a lipid template
 * 
 * @author Tim Dingersen,Sebastian Schneider
 * 
 */
public class Lipid extends Molecule {

	public Lipid(final Lipid_3D original, MembranePackingAlgorithm algo) {
		super(original, algo);
	}

	/**
	 * Returns the assigned Side of the Membrane. 0==Extra, 1=Intra
	 * 
	 * @return the assigned membrane side
	 */
	public int getMembraneSide() {
		return ((Lipid_3D) this.getOriginalMolecule()).getMembraneSide();
	}
}
