/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.membranepackingalgorithm;

import java.util.Random;

/**
 * 
 * Random Class generates simple random numbers.
 * This numbers are not reconstructable. 
 * For that, look for UniqueRandom instead.
 * 
 * @author Bjoern Sommer bjoern@CELLmicrocosmos.org
 *
 */
public class SimpleRandom extends Random {

	private static final long serialVersionUID = -7378026732968135454L;
	
	Random rand;

	/**
	 * Creates a new Unique Random number by using the seed.
	 * 
	 */
	public SimpleRandom() {
		rand = new Random();
	}
	
	/**
	 * Returns the used Random object.
	 * @return Random
	 */
	public Random getRandom() {
		return this.rand;
	}
	
}
