/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_0)
 *
 * Copyright (c) 2005, 2014 The CELLmicrocosmos 2 Development Team
 *                          (Bjrn Sommer et al., Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.membranepackingalgorithm;

/**
 * A sheet with coordinate Transformation settings used by the reverse PDBParser
 * @author Tim Dingersen dackelnose@gmx.net
 *
 */
public class CoordinateTransformationHints {
	
	public static final int SHIFTXZ_NONE = 0;
	public static final int SHIFTXZ_PHYSICAL_CENTER = 1;
	public static final int SHIFTXZ_BOUNDS_CENTER = 2;
	
	public static final int SHIFTY_NONE = 0;
	public static final int SHIFTY_PHYSICAL_CENTER = 1;
	public static final int SHIFTY_BOTTOM = 2;
	public static final int SHIFTY_AUTO_MEDIAN = 3;
	
	public  boolean swapYZ = false;

	public  int shiftXZ = 0;

	public  int shiftY = 0;
	
	public boolean sortByType;
	
	public boolean computeAbsoluteValues;
	
	public boolean exportTopology = false;
	
	public boolean exportAPLVoroFile = false;
	
	public String projectFolder = "";

}
